#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include "emainwindow.h"
#include "ui_mainwindow.h"


class MainWindow
	: public EMainWindow
	, private Ui::MainWindow {
	Q_OBJECT

public:
	MainWindow(QWidget * parent = 0);
	~MainWindow();

	void reset(bool full = false) override;
	bool load(const QString & path) override;
	bool save(const QString & path) override;

protected:
	void changeEvent(QEvent * e) override;
	void dragEnterEvent(QDragEnterEvent * e) override;
	void dropEvent(QDropEvent * e) override;

	void loadingSession(QPIConfig & conf) override;
	void savingSession(QPIConfig & conf) override;
	QString loadFilter() override;
	QString saveFilter() override { return loadFilter(); }

private slots:
	void on_actionFull_edit_mode_toggled(bool on);
	void on_actionRead_only_toggled(bool on);
};

#endif // MAINWINDOW_H
